Get Price Candles
curl --request POST \
--url https://refract.prismapi.io/v1/solana/dex/prices/get-price-candles \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"token": "Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk",
"interval": 60,
"from": "2026-04-27T00:00:00Z",
"to": "2026-04-27T01:00:00Z"
}
'import requests
url = "https://refract.prismapi.io/v1/solana/dex/prices/get-price-candles"
payload = {
"token": "Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk",
"interval": 60,
"from": "2026-04-27T00:00:00Z",
"to": "2026-04-27T01:00:00Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: 'Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk',
interval: 60,
from: '2026-04-27T00:00:00Z',
to: '2026-04-27T01:00:00Z'
})
};
fetch('https://refract.prismapi.io/v1/solana/dex/prices/get-price-candles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timestamp": "2023-11-07T05:31:56Z",
"open": 123,
"high": 123,
"low": 123,
"close": 123,
"volume": 123,
"count": 123
}
]{
"error": "Bad request: Invalid request parameters"
}{
"error": "Unauthorized: Invalid or missing API key"
}{
"error": "Forbidden: Access denied for the current API plan"
}{
"error": "Too many requests: Rate limit exceeded"
}{
"error": "Internal server error"
}Prices
Get Price Candles
Returns price candles for a specific token and/or pool.
POST
/
v1
/
solana
/
dex
/
prices
/
get-price-candles
Get Price Candles
Authorizations
Your Prism API key. You can get one for free in the Prism Dashboard.
Body
application/json
Sampling interval between data points, in seconds.
Token address to filter by.
Pool address to filter by.
Start of the candle range, as a date-time RFC3339 string.
Can be combined with to to define a bounded range.
End of the candle range, as a date-time RFC3339 string. Defaults to the current time.
Number of candles to return.
Must be combined with from or to.
Was this page helpful?
⌘I